AquaMapsServiceInterface
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.wrapper
Interface AquaMapsServiceInterface

All Known Implementing Classes:
  AquaMapsServiceCall

    public interface AquaMapsServiceInterface

Method Summary
`Envelope` | `calculateEnvelope(BoundingBox bb, java.util.List<Area> areas, java.lang.String speciesId, boolean useBottom, boolean useBounding, boolean useFAO)`
`Envelope` | `calculateEnvelopeFromCellSelection(java.util.List<java.lang.String> cellIds, java.lang.String speciesId)`
`int` | `deleteSubmitted(java.util.List<java.lang.Integer> ids)`
`java.io.File` | `getCSVSpecies(int hspenId, java.util.List<Filter> genericSearch, java.util.List<Filter> advancedFilters)`
`java.lang.String` | `getJSONOccurrenceCells(java.lang.String speciesId, PagedRequestSettings settings)`
`java.lang.String` | `getJSONPhilogeny(SpeciesOccursumFields level, java.util.ArrayList<Field> filters, PagedRequestSettings settings)`
`java.lang.String` | `getJSONResources(PagedRequestSettings settings, java.util.List<Field> filter)`
`java.lang.String` | `getJSONSpecies(int hspenId, java.util.List<Filter> genericSearch, java.util.List<Filter> advancedFilters, PagedRequestSettings settings)`
`java.lang.String` | `getJSONSubmitted(java.lang.String userName, boolean showObjects, java.lang.String date, java.lang.Integer jobId, SubmittedStatus status, ObjectType objType, PagedRequestSettings settings)`
`Species` | `loadEnvelope(java.lang.String speciesId, int hspenId)`
`AquaMapsObject` | `loadObject(int objectId)` wraps getProfile
`Resource` | `loadResource(int resId)`
`Submitted` | `loadSubmittedById(int id)`
`void` | `markSaved(java.util.List<java.lang.Integer> submittedIds)`
`void` | `submitJob(Job toSubmit)`

Method Detail

### calculateEnvelope

    Envelope calculateEnvelope(BoundingBox bb,
                               java.util.List<Area> areas,
                               java.lang.String speciesId,
                               boolean useBottom,
                               boolean useBounding,
                               boolean useFAO)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### calculateEnvelopeFromCellSelection

    Envelope calculateEnvelopeFromCellSelection(java.util.List<java.lang.String> cellIds,
                                                java.lang.String speciesId)
                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### deleteSubmitted

    int deleteSubmitted(java.util.List<java.lang.Integer> ids)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getJSONSubmitted

    java.lang.String getJSONSubmitted(java.lang.String userName,
                                      boolean showObjects,
                                      java.lang.String date,
                                      java.lang.Integer jobId,
                                      SubmittedStatus status,
                                      ObjectType objType,
                                      PagedRequestSettings settings)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getJSONOccurrenceCells

    java.lang.String getJSONOccurrenceCells(java.lang.String speciesId,
                                            PagedRequestSettings settings)
                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getJSONPhilogeny

    java.lang.String getJSONPhilogeny(SpeciesOccursumFields level,
                                      java.util.ArrayList<Field> filters,
                                      PagedRequestSettings settings)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### loadObject

    AquaMapsObject loadObject(int objectId)
                              throws java.lang.Exception

  wraps getProfile

  Returns:
  Throws:
    `java.lang.Exception`

### loadResource

    Resource loadResource(int resId)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getJSONResources

    java.lang.String getJSONResources(PagedRequestSettings settings,
                                      java.util.List<Field> filter)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getJSONSpecies

    java.lang.String getJSONSpecies(int hspenId,
                                    java.util.List<Filter> genericSearch,
                                    java.util.List<Filter> advancedFilters,
                                    PagedRequestSettings settings)
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getCSVSpecies

    java.io.File getCSVSpecies(int hspenId,
                               java.util.List<Filter> genericSearch,
                               java.util.List<Filter> advancedFilters)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### loadEnvelope

    Species loadEnvelope(java.lang.String speciesId,
                         int hspenId)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### markSaved

    void markSaved(java.util.List<java.lang.Integer> submittedIds)
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### submitJob

    void submitJob(Job toSubmit)
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### loadSubmittedById

    Submitted loadSubmittedById(int id)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD